Skip to main content
POST
Add onboarding portal task

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.

Path Parameters

phaseId
string<uuid>
required

Portal phase ID

Body

application/json
title
string
required
Required string length: 1 - 500
description
string | null
Maximum string length: 5000
ownerType
enum<string>

Defaults to msp

Available options:
msp,
client
evidenceType
enum<string>

Defaults to none

Available options:
none,
text,
approval,
signature,
meeting,
training,
form,
email,
report,
credential_handoff,
access_verification,
secure_file_drop
priority
enum<string>

Defaults to normal

Available options:
low,
normal,
high,
critical
dueDate
string | null

YYYY-MM-DD

Pattern: ^\d{4}-\d{2}-\d{2}$

Response

Task added

data
object
required